libebook::FictionBook2KeywordsContext Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libebook::FictionBook2KeywordsContext Class Reference

`#include <FictionBook2MetadataContext.h>`

Inheritance diagram for libebook::FictionBook2KeywordsContext:

## Public Member Functions
| FictionBook2KeywordsContext (FictionBook2ParserContext *parentContext)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element.
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
void | endOfAttributes () override
| Signalize the end of attributes.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.

## Constructor & Destructor Documentation

## ◆ FictionBook2KeywordsContext()

libebook::FictionBook2KeywordsContext::FictionBook2KeywordsContext | ( | FictionBook2ParserContext * | parentContext | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2KeywordsContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2KeywordsContext::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns )
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfAttributes()

void libebook::FictionBook2KeywordsContext::endOfAttributes | ( |  | ) |
| inlineoverrideprivatevirtual

Signalize the end of attributes.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2KeywordsContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ startOfElement()

void libebook::FictionBook2KeywordsContext::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FictionBook2XMLParserContext.

## ◆ text()

void libebook::FictionBook2KeywordsContext::text | ( | const char * | value | ) |
| overrideprivatevirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::FictionBook2XMLParserContext.

The documentation for this class was generated from the following files:

- FictionBook2MetadataContext.h
- FictionBook2MetadataContext.cpp